/**
 * Nodata SDK.
 */
import { ViewContainerRef } from '@angular/core';
import { Observable } from 'rxjs';
import { Datablock, PresetFilter, PresetFilterView } from '@nodata/sdk';
import { CompilerService } from '../services';
export declare class PresetFilterViewComponent {
    private compilerService;
    id: string;
    code: string;
    presetFilterView: PresetFilterView;
    presetFilters: Array<PresetFilter>;
    htmlTemplate: string;
    datablock: Datablock;
    list: Array<any>;
    presetFilterContent: ViewContainerRef;
    private componentRef;
    private presetFilterViewSubject;
    private divId;
    private presetFilterViewInput;
    /**
     * Constructor.
     * Generates the div identifier.
     */
    constructor(compilerService: CompilerService);
    /**
     * Configures the presetfilterview from the inputs.
     */
    ngOnInit(): void;
    /**
     * Render the presetFilterView.
     */
    ngAfterViewInit(): void;
    /**
     * Call destroy on presetFilterView.
     */
    ngOnDestroy(): void;
    /**
     * Returns an Observable that completes when presetFilterView is initialized
     */
    getReadyPresetFilterView(): Observable<PresetFilterView>;
    /**
     * Compile presetFilterView component
     */
    private _compileComponent;
    /**
     * Configures the presetfilterview from the inputs.
     */
    private _configurePresetFilterView;
    /**
     * Create dynamic component with html template given in parameter
     */
    private _createNewComponent;
    /**
     * Generate the internal div's identifier.
     * The identifier is meant to be unique to avoid conflicts.
     * At the moment, the only way to generate a unique identifier
     * with angular 2 is to use a UUID.
     */
    private _generateDivId;
}
