import { ChangeDetectorRef } from '@angular/core';
import 'slick-carousel';
import { SdkConfigService } from '../services';
import { InteractionIconMap } from '../slide-template';
export interface Reference {
    [itemIdentifier: string]: string;
}
export declare class SlideCarouselComponent {
    private changeDetector;
    private sdkConfig;
    dashboardCode: string;
    dashboardLabel: string;
    templateDashboardCode: string;
    interactionIcons: Reference;
    templateInteractionIcons: InteractionIconMap;
    loaderHTML: string;
    quillToolbar: Array<Array<Object>>;
    afterUpdate: () => void;
    private _dashboardModel;
    private _dashboard;
    private _dashboardMetadata;
    private _tempDashboardLabel;
    private _slides;
    private _editedSlide;
    private _editedSlideIndex;
    private _dashboardPlan;
    private _isLoading;
    private _showCarousel;
    private _nbSlidesPerPage;
    private _templateDashboard;
    private _templateSlides;
    private _templateDashboardPlan;
    private _isTemplateLoading;
    private _showTemplateCarousel;
    private _nbTemplateSlidesPerPage;
    private _transitionTimeout;
    private _slideBetweenWidth;
    private _confirmRemoval;
    private _addingSlide;
    private _movingSlide;
    private _isEditingLabel;
    private _dashboardLabelWidth;
    private _defaultInteractionIcons;
    constructor(changeDetector: ChangeDetectorRef, sdkConfig: SdkConfigService);
    ngAfterViewInit(): void;
    ngOnChanges(changes: any): void;
    ngOnDestroy(): void;
    private _initDashboard;
    private _initTemplateDashboard;
    private _render;
    private _afterSave;
    private _templateRender;
    private _afterTemplateSave;
    private _processDashboardPlan;
    private _initSlick;
    private _initTemplateSlick;
    private _resetSlick;
    private _addSlide;
    private _editSlide;
    private _exitEditSlide;
    private _removeSlide;
    private _shiftCarousel;
    private _orderSlide;
    private _bindMouseUp;
    private _makeShadowElement;
    private _moveSlide;
    private _copyTemplateSlide;
    /**
     * Fill interactionIcons with default values for missing properties
     */
    private _buildInteractionIcons;
    /**
     * Update current page label by calling upsert on a PageModel
     */
    private _updateDashboardLabel;
    /**
     * Check if current browser is IE
     */
    private _isBrowserIE;
}
